Get Task
GEThttps://api.confident-ai.com/v2/datasets/{datasetId}/dataset-ingestion-tasks/{datasetIngestionTaskId}
Retrieves a single ingestion task on the dataset, with its full configuration.
curl -X GET "https://api.confident-ai.com/v2/datasets/{datasetId}/dataset-ingestion-tasks/{datasetIngestionTaskId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<DATASET-INGESTION-TASK-ID>",
"name": "Harvest failed lookups",
"description": "Traces where the assistant failed to name a capital.",
"enabled": true,
"sampleRate": 0.1,
"dataModel": "TRACE",
"filters": {
"operator": "AND",
"groups": [
{
"operator": "AND",
"filters": [
{
"category": "User Id",
"condition": "Is less than",
"value": "string",
"key": "string"
}
]
}
]
},
"maxGoldens": 500,
"inputTransformerId": "<TRANSFORMER-ID>",
"outputTransformerId": null,
"includeInput": true,
"includeActualOutput": true,
"includeExpectedOutput": false,
"includeRetrievalContext": false,
"includeContext": false,
"includeToolsCalled": false,
"includeExpectedTools": false,
"createdAt": "2026-05-28T13:05:24.777Z",
"updatedAt": "2026-05-28T13:35:16.268Z"
},
"link": "https://app.confident-ai.com/project/<PROJECT-ID>/workflows",
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
datasetIdstringRequiredThe unique id of the dataset.
datasetIngestionTaskIdstringRequiredThe unique id of the ingestion task.
Response
Get Task succeeded.
successbooleanIndicates if the request was successful.
dataobjectAn ingestion task: which production items it harvests into the dataset, how it samples them, and which golden fields it fills.
Show 19 propertiesHide 19 properties
idstringThe unique id of the ingestion task.
namestringThe name of the ingestion task, unique within the dataset.
descriptionstring | nullA note about what the task harvests, or null.
enabledbooleanWhether the task is currently harvesting.
sampleRatenumberThe fraction of matching items the task ingests, between 0 and 1.
dataModelenumWhat kind of production item an ingestion task harvests. THREAD tasks fill multi-turn datasets; TRACE and SPAN tasks fill single-turn ones.
Show 3 enum valuesHide 3 enum values
TRACESPANTHREAD
filtersobject | nullA set of filter groups combined by a top-level operator. Each group combines its filter rows by its own operator, and each row matches one property, such as
NameorUser Id, against a value with a condition such asIsorContains.Show 2 propertiesHide 2 properties
operatorenumShow 2 enum valuesHide 2 enum values
ANDOR
groupslist of objectsShow 2 propertiesHide 2 properties
operatorenumShow 2 enum valuesHide 2 enum values
ANDOR
filterslist of objectsShow 4 propertiesHide 4 properties
categoryenumShow 80 enum valuesHide 80 enum values
User IdThread IdTrace UuidTrace NameTrace VersionTrace StatusTrace TagsTraceSpan UuidNameSpan NameSpan TypeSpan StatusMetrics StatusError StatusNameModelProviderIntegrationEmbedderChunk SizeTop-KHyperparameterDatasetDataset NameTest Run IDIdentifierTest FileStatusOfficialEvals ModeTests PassedTests FailedPass RateFail RateStar RatingThumbs RatingExplanationExpected OutputExpected OutcomeAnnotatorEnd UserAnnotation TypeAnnotation NameCriteriaAnnotation DateMetric ScoreMetric StatusNameMetadataClassifierMetricMetric NameTrace CountTest Case IDRequested review fromAssigned toTagsLabelsTools CalledFinalizedGolden IDIngestion TaskLatencyEnvironmentReview flagVulnerabilityVulnerability TypeAttack MethodRisk CategoryFrameworkAssessment IDPrompt AliasPrompt VersionPrompt LabelPrompt Commit HashPromptAnnotationsStatus CodeActor Type
conditionenum | enum | enum | enum | enum | enum | enum | enum | enum | enumShow 10 variantsHide 10 variants
enum
Show 6 enum valuesHide 6 enum values
Is less thanIs equal or less thanIs greater thanIs equal or greater thanIs equal toDoes not equal
- OR
enum
Show 2 enum valuesHide 2 enum values
HasHas not
- OR
enum
Show 2 enum valuesHide 2 enum values
IsIs not
- OR
enum
Show 2 enum valuesHide 2 enum values
Is one ofIs not one of
- OR
enum
Show 4 enum valuesHide 4 enum values
IsIs notIs emptyIs not empty
- OR
enum
Show 2 enum valuesHide 2 enum values
ContainsDoes not contain
- OR
enum
Show 3 enum valuesHide 3 enum values
ContainsContains onlyDoes not contain
- OR
enum
Show 4 enum valuesHide 4 enum values
Has decreased by more thanHas decreased by less thanHas increased by more thanHas increased by less than
- OR
enum
Show 1 enum valueHide 1 enum value
Has changed from
- OR
enum
Show 1 enum valueHide 1 enum value
Is between
valuestring | number | list of stringsShow 3 variantsHide 3 variants
string
- OR
number
- OR
list of strings
keystring
maxGoldensinteger | nullThe maximum number of goldens this task will ever create, or null when uncapped.
inputTransformerIdstring | nullThe id of the transformer that reshapes the harvested input, or null when the task does not use one.
outputTransformerIdstring | nullThe id of the transformer that reshapes the harvested output, or null when the task does not use one.
includeInputbooleanWhether the golden's
inputis populated from the harvested item.includeActualOutputbooleanWhether the golden's
actualOutputis populated from the harvested item.includeExpectedOutputbooleanWhether the golden's
expectedOutputis populated from the harvested item.includeRetrievalContextbooleanWhether the golden's
retrievalContextis populated from the harvested item.includeContextbooleanWhether the golden's
contextis populated from the harvested item.includeToolsCalledbooleanWhether the golden's
toolsCalledis populated from the harvested item.includeExpectedToolsbooleanWhether the golden's
expectedToolsis populated from the harvested item.createdAtstringWhen the task was created, as an ISO 8601 timestamp.
updatedAtstringWhen the task was last updated, as an ISO 8601 timestamp.
linkstringThis is the URL of the resource on the Confident AI platform.
deprecatedbooleanIndicates if this endpoint is deprecated.